import java.io.*;
import java.util.*;

public class B {
    static boolean ost (int [] a, int b){
        int last = a[0] % b;
        for (int i = 1; i < a.length; i++) {
            if (a[i] % b != last)
                return false;
        }
        return true;
    }

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int [] a = new int[n];
        int max = 1;
        for (int i = 0; i < n; i++) {
            a[i] = nextInt();
            if (max < a[i])
                max = a[i];
        }
        int d = 1;
        for (int i = 2; i <= max; i++) {
            if (ost(a, i)){
                if (i > d)
                    d = i;
            }
        }
        out.print(d);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}