import java.io.*;
import java.util.*;

public class C {
    public static class Point{
        int a, b;
    }

    public static class Halidator implements Comparator<Point>{
        @Override
        public int compare (Point o1, Point o2){
            return Integer.compare(o1.a, o2.a);
        }
    }

    static boolean obida (int [][] a, int b, int c){
        for (int[] ints : a) {
            if (ints[0] == b) {
                return false;
            }
            if (c == ints[1])
                return false;
        }
        return true;
    }

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        Point [] a = new Point[n];
        for (int i = 0; i < n; i++) {
            a[i] = new Point();
            a[i].a = nextInt();
            a[i].b = i + 1;
        }
        int [][] l = new int[n / 2][2];
        int [][] r = new int[n / 2][2];
        Arrays.sort(a, new Halidator());

        int c1 = 0;
        int c2 = 0;
        for (int i = 0; i < n; i++) {
            int y = a[i].a;
            int u = a[i].b;
            if (obida(l, u, y) && c1 < n / 2){
                l[c1][0] = y;
                l[c1][1] = u;
                c1++;
            }
            else if (obida(r, u, y) && c2 < n / 2){
                r[c2][0] = y;
                r[c2][1] = u;
                c2++;
            }
        }

        out.println(n - c1 * 2);
        for (int i = 0; i < c1; i++) {
            out.print(l[i][1]);
            if (i + 1 < c1)
                out.print(" ");
        }
        out.println();
        for (int i = 0; i < c2; i++) {
            out.print(r[i][1]);
            if (i + 1 < c2)
                out.print(" ");
        }
        out.flush();
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}