import java.io.*;
import java.util.*;

public class C {
    public static void main(String[] args) throws IOException {
        int m = nextInt();
        long t = nextLong();
        int [] a = new int[m];
        long sum = 0;
        for (int i = 0; i < m; i++) {
            a[i] = nextInt();
            sum += a[i];
        }
        if (sum < t){
            out.print(-1);
            out.close();
            return;
        }
        for (int i = 1; i <= m; i++) {
            for (int j = 0; j < m; j++) {
                int [] y = Arrays.copyOfRange(a, j, j + i);
                long u = 0;
                for (int k = 0; k < i; k++) {
                    u += y[k];
                }
                if (u >= t){
                    out.print(i);
                    out.close();
                    return;
                }
            }
        }
        out.print(-1);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}