import java.io.*;
import java.util.*;

public class C {
    public static void main(String[] args) throws IOException {
        int m = nextInt();
        long t = nextLong();
        int [] a = new int[m];
        long [] b = new long[m + 1];
        for (int i = 0; i < m; i++) {
            a[i] = nextInt();
        }
        for (int i = 1; i < m + 1; i++) {
            b[i] = b[i - 1] + a[i - 1];
        }
        if (b[b.length - 1] <= t){
            out.print(-1);
            out.close();
            return;
        }
        for (int i = 1; i <= m; i++) {
            for (int j = i; j <= m; j++) {
                long u = b[j] - b[j - i];
                if (u > t){
                    out.print(i);
                    out.close();
                    return;
                }
            }
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}